#include <bits/stdc++.h>
#include "partition.h"
using namespace std;

const int MAXN = 2e6;
const int MSK = ( 1 << 20 ) + 1;

int n;
bool viz[MSK + 1];
map< int , int >f;
map< int , int >f2;
vector< int >pos1 , pos2;
vector< int >solve( vector< int >a ) {
    int i , mskans , msk , j , cop , ok;
    long long s , sum;
    vector< int >ans;
    n = a.size();
    if( n == 1 ) {
        ans.push_back( 0 );
        return ans;
    }
    s = sum = 0;
    for( i = 0 ; i < n ; i++ )
        sum += 1ll * a[i];
    for( i = 0 ; i < n / 2 - 1 ; i++ )
        ans.push_back( i );
    ans.push_back( n - 1 );
    for( ; i < n - 1 ; i++ )
        ans.push_back( i );
    //cout << s << ' ' << i << '\n';
    return ans;
}
